Index: /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs	(revision 1135)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs	(revision 1136)
@@ -62,4 +62,6 @@
       this.lvUserControl = new System.Windows.Forms.ListView();
       this.ilUserControl = new System.Windows.Forms.ImageList(this.components);
+      this.lvJobControl = new System.Windows.Forms.ListView();
+      this.ilJobControl = new System.Windows.Forms.ImageList(this.components);
       this.plClientDetails = new System.Windows.Forms.Panel();
       this.lblLogin = new System.Windows.Forms.Label();
@@ -72,6 +74,4 @@
       this.btnUserControlClose = new System.Windows.Forms.Button();
       this.pbUserControl = new System.Windows.Forms.PictureBox();
-      this.lvJobControl = new System.Windows.Forms.ListView();
-      this.ilJobControl = new System.Windows.Forms.ImageList(this.components);
       this.treeView2 = new System.Windows.Forms.TreeView();
       this.listView2 = new System.Windows.Forms.ListView();
@@ -141,5 +141,5 @@
       this.jobToolStripMenuItem.Size = new System.Drawing.Size(107, 22);
       this.jobToolStripMenuItem.Text = "Job";
-      this.jobToolStripMenuItem.Click += new System.EventHandler(this.JobToolStripMenuItem1_Click);
+      this.jobToolStripMenuItem.Click += new System.EventHandler(this.AddJob_Click);
       // 
       // userToolStripMenuItem
@@ -157,5 +157,5 @@
       this.userToolStripMenuItem1.Size = new System.Drawing.Size(114, 22);
       this.userToolStripMenuItem1.Text = "User";
-      this.userToolStripMenuItem1.Click += new System.EventHandler(this.UserToolStripMenuItem1_Click);
+      this.userToolStripMenuItem1.Click += new System.EventHandler(this.AddUser_Click);
       // 
       // groupToolStripMenuItem2
@@ -164,5 +164,5 @@
       this.groupToolStripMenuItem2.Size = new System.Drawing.Size(114, 22);
       this.groupToolStripMenuItem2.Text = "Group";
-      this.groupToolStripMenuItem2.Click += new System.EventHandler(this.GroupToolStripMenuItem2_Click);
+      this.groupToolStripMenuItem2.Click += new System.EventHandler(this.AddUserGroup_Click);
       // 
       // tcManagementConsole
@@ -214,5 +214,4 @@
       this.tvClientControl.Size = new System.Drawing.Size(139, 346);
       this.tvClientControl.TabIndex = 0;
-      this.tvClientControl.Click += new System.EventHandler(this.OnTVClientClicked);
       // 
       // lvClientControl
@@ -355,9 +354,8 @@
       // 
       this.lblProgress.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.lblProgress.AutoSize = true;
       this.lblProgress.ImageAlign = System.Drawing.ContentAlignment.MiddleRight;
-      this.lblProgress.Location = new System.Drawing.Point(361, 99);
+      this.lblProgress.Location = new System.Drawing.Point(326, 99);
       this.lblProgress.Name = "lblProgress";
-      this.lblProgress.Size = new System.Drawing.Size(58, 13);
+      this.lblProgress.Size = new System.Drawing.Size(143, 13);
       this.lblProgress.TabIndex = 8;
       this.lblProgress.Text = "lblProgress";
@@ -460,4 +458,24 @@
       this.ilUserControl.TransparentColor = System.Drawing.Color.Transparent;
       this.ilUserControl.Images.SetKeyName(0, "Users.png");
+      // 
+      // lvJobControl
+      // 
+      this.lvJobControl.AllowDrop = true;
+      this.lvJobControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.lvJobControl.LargeImageList = this.ilJobControl;
+      this.lvJobControl.Location = new System.Drawing.Point(0, 0);
+      this.lvJobControl.MultiSelect = false;
+      this.lvJobControl.Name = "lvJobControl";
+      this.lvJobControl.Size = new System.Drawing.Size(494, 346);
+      this.lvJobControl.TabIndex = 0;
+      this.lvJobControl.UseCompatibleStateImageBehavior = false;
+      this.lvJobControl.MouseMove += new System.Windows.Forms.MouseEventHandler(this.lvJobControl_MouseMove);
+      this.lvJobControl.Click += new System.EventHandler(this.OnLVJobControlClicked);
+      // 
+      // ilJobControl
+      // 
+      this.ilJobControl.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilJobControl.ImageStream")));
+      this.ilJobControl.TransparentColor = System.Drawing.Color.Transparent;
+      this.ilJobControl.Images.SetKeyName(0, "PlayHS.png");
       // 
       // plClientDetails
@@ -559,24 +577,4 @@
       this.pbUserControl.TabStop = false;
       // 
-      // lvJobControl
-      // 
-      this.lvJobControl.AllowDrop = true;
-      this.lvJobControl.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.lvJobControl.LargeImageList = this.ilJobControl;
-      this.lvJobControl.Location = new System.Drawing.Point(0, 0);
-      this.lvJobControl.MultiSelect = false;
-      this.lvJobControl.Name = "lvJobControl";
-      this.lvJobControl.Size = new System.Drawing.Size(494, 346);
-      this.lvJobControl.TabIndex = 0;
-      this.lvJobControl.UseCompatibleStateImageBehavior = false;
-      this.lvJobControl.MouseMove += new System.Windows.Forms.MouseEventHandler(this.lvJobControl_MouseMove);
-      this.lvJobControl.Click += new System.EventHandler(this.OnLVJobControlClicked);
-      // 
-      // ilJobControl
-      // 
-      this.ilJobControl.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilJobControl.ImageStream")));
-      this.ilJobControl.TransparentColor = System.Drawing.Color.Transparent;
-      this.ilJobControl.Images.SetKeyName(0, "PlayHS.png");
-      // 
       // treeView2
       // 
@@ -600,4 +598,5 @@
       // 
       this.timerSyncronize.Interval = 10000;
+      this.timerSyncronize.Tick += new System.EventHandler(this.TickSync);
       // 
       // fileSystemWatcher1
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 1135)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 1136)
@@ -40,14 +40,23 @@
     public event closeForm closeFormEvent;
 
-    ResponseList<ClientGroup> clients = null;
-    ResponseList<ClientInfo> clientInfo = null;
-    ResponseList<Job> jobs = null;
-    ResponseList<UserGroup> userGroups = null;
-    ResponseList<User> usersList = null;
-    ListView lvClientDetails = null;
-
-    Job currentJob = null;
-    ClientInfo currentClient = null;
-    User currentUser = null;
+    #region private variables
+    private ResponseList<ClientGroup> clients = null;
+    private ResponseList<ClientInfo> clientInfo = null;
+    private ResponseList<Job> jobs = null;
+    private ResponseList<UserGroup> userGroups = null;
+    private ResponseList<User> usersList = null;
+
+    private Job currentJob = null;
+    private ClientInfo currentClient = null;
+    private User currentUser = null;
+    private int idxCurrentJob = 0;
+    private int idxCurrentClient = 0;
+    private int idxCurrentUser = 0;
+    private bool flagJob = false;
+    private bool flagClient = false;
+    private bool flagUser = false;
+
+    private ToolTip tt = new ToolTip();
+    #endregion
 
     public HiveServerManagementConsole() {
@@ -56,9 +65,12 @@
       AddJobs();
       AddUsers();
-
-      timerSyncronize.Tick += new EventHandler(TickSync);
       timerSyncronize.Start();
     }
 
+    /// <summary>
+    /// event on Ticker
+    /// </summary>
+    /// <param name="obj"></param>
+    /// <param name="e"></param>
     private void TickSync(object obj, EventArgs e) {
       AddClients();
@@ -67,4 +79,7 @@
     }
 
+    /// <summary>
+    /// Adds clients to ListView and TreeView
+    /// </summary>
     private void AddClients() {
       try {
@@ -96,4 +111,7 @@
         }
         lvClientControl.Groups.Add(lvunsorted);
+        if (flagClient) {
+          ClientClicked();
+        }
       }
       catch (Exception ex) {
@@ -103,4 +121,7 @@
     }
 
+    /// <summary>
+    /// Adds jobs to ListView and TreeView
+    /// </summary>
     private void AddJobs() {
       try {
@@ -137,4 +158,7 @@
         lvJobControl.Groups.Add(lvJobFinished);
         lvJobControl.Groups.Add(lvJobPending);
+        if (flagJob) {
+          JobClicked();
+        }
       }
       catch (Exception ex) {
@@ -144,4 +168,7 @@
     }
 
+    /// <summary>
+    /// Adds users to ListView and TreeView
+    /// </summary>
     private void AddUsers() {
       try {
@@ -175,4 +202,7 @@
         }
         lvUserControl.Groups.Add(lvunsorted);
+        if (flagUser) {
+          UserClicked();
+        }
       }
       catch (Exception ex) {
@@ -182,4 +212,78 @@
     }
 
+    /// <summary>
+    /// if one client is clicked, a panel is opened with the details
+    /// </summary>
+    private void ClientClicked() {
+      currentClient = clientInfo.List[idxCurrentClient];
+      scClientControl.Panel2.Controls.Clear();
+      scClientControl.Panel2.Controls.Add(plClientDetails);
+      pbClientControl.Image = ilClientControl.Images[0];
+      lblClientName.Text = currentClient.Name;
+      lblLogin.Text = currentClient.Login.ToString();
+    }
+
+    /// <summary>
+    /// if one job is clicked, a panel is opened with the details
+    /// </summary>
+    private void JobClicked() {
+      int yPos = 0;
+      currentJob = jobs.List[idxCurrentJob];
+      scJobControl.Panel2.Controls.Clear();
+      scJobControl.Panel2.Controls.Add(plJobDetails);
+      pbJobControl.Image = ilJobControl.Images[0];
+      lblJobName.Text = currentJob.Id.ToString();
+      progressJob.Value = (int)(currentJob.Percentage * 100);
+      yPos = progressJob.Location.Y;
+      yPos += 20;
+      lblProgress.Location = new Point(
+        lblProgress.Location.X, yPos);
+      lblProgress.Text = (int)(currentJob.Percentage * 100) + "% calculated";
+      yPos += 20;
+      lblUserCreatedJob.Location = new Point(
+        lblUserCreatedJob.Location.X, yPos);
+      lblUserCreatedJob.Text = /* currentJob.User.Name + */ " created Job";
+      yPos += 20;
+      lblJobCreated.Location = new Point(
+        lblJobCreated.Location.X, yPos);
+      lblJobCreated.Text = "Created at "/* + currentJob.User.CreatedJob + */;
+      if (currentJob.ParentJob != null) {
+        yPos += 20;
+        lblParentJob.Location = new Point(
+          lblParentJob.Location.X, yPos);
+        lblParentJob.Text = currentJob.ParentJob.Id + " is parent job";
+      }
+      yPos += 20;
+      lblPriorityJob.Location = new Point(
+        lblPriorityJob.Location.X, yPos);
+      lblPriorityJob.Text = "Priority of job is " /* + currentJob.Priority */;
+      if (currentJob.Client != null) {
+        yPos += 20;
+        lblClientCalculating.Location = new Point(
+          lblClientCalculating.Location.X, yPos);
+        lblClientCalculating.Text = currentJob.Client.Name + " calculated Job";
+        yPos += 20;
+        lblJobCalculationBegin.Location = new Point(
+          lblJobCalculationBegin.Location.X, yPos);
+        lblJobCalculationBegin.Text = "Startet calculation at " /* + currentJob.User.CalculationBegin */;
+        yPos += 20;
+        lblJobCalculationEnd.Location = new Point(
+          lblJobCalculationEnd.Location.X, yPos);
+        lblJobCalculationEnd.Text = "Calculation endet at " /* + currentJob.User.CalculationEnd */;
+      }
+    }
+
+    /// <summary>
+    /// if one user is clicked, a panel is opened with the details
+    /// </summary>
+    private void UserClicked() {
+      currentUser = usersList.List[idxCurrentUser];
+      scUserControl.Panel2.Controls.Clear();
+      scUserControl.Panel2.Controls.Add(plUserDetails);
+      pbUserControl.Image = ilUserControl.Images[0];
+      lblUserName.Text = currentUser.Id.ToString();
+    }
+
+    #region Eventhandler
     /// <summary>
     /// Send event to Login-GUI when closing
@@ -205,36 +309,35 @@
     }
 
-    private void JobToolStripMenuItem1_Click(object sender, EventArgs e) {
+    private void AddJob_Click(object sender, EventArgs e) {
       AddJobForm newForm = new AddJobForm();
       newForm.Show();
     }
 
-    private void UserToolStripMenuItem1_Click(object sender, EventArgs e) {
+    private void AddUser_Click(object sender, EventArgs e) {
       AddUserForm newForm = new AddUserForm("User", false);
       newForm.Show();
     }
 
-    private void GroupToolStripMenuItem2_Click(object sender, EventArgs e) {
+    private void AddUserGroup_Click(object sender, EventArgs e) {
       AddUserForm newForm = new AddUserForm("User", true);
       newForm.Show();
-
     }
 
     private void OnLVClientClicked(object sender, EventArgs e) {
-      currentClient = clientInfo.List[lvClientControl.SelectedItems[0].Index];
+      idxCurrentClient = lvClientControl.SelectedItems[0].Index;
+      flagClient = true;
       ClientClicked();
     }
 
-    private void OnTVClientClicked(object sender, EventArgs e) {
-     // currentClient = clientInfo.List[tvClientControl.SelectedNode.Index];
-     // ClientClicked();
-    }
-
-    private void ClientClicked() {
-      scClientControl.Panel2.Controls.Clear();
-      scClientControl.Panel2.Controls.Add(plClientDetails);
-      pbClientControl.Image = ilClientControl.Images[0];
-      lblClientName.Text = currentClient.Name;
-      lblLogin.Text = currentClient.Login.ToString();
+    private void OnLVJobControlClicked(object sender, EventArgs e) {
+      idxCurrentJob = lvJobControl.SelectedItems[0].Index;
+      flagJob = true;
+      JobClicked();
+    }
+
+    private void OnLVUserControlClicked(object sender, EventArgs e) {
+      idxCurrentUser = lvUserControl.SelectedItems[0].Index;
+      flagUser = true;
+      UserClicked();
     }
 
@@ -242,45 +345,11 @@
       scClientControl.Panel2.Controls.Clear();
       scClientControl.Panel2.Controls.Add(lvClientControl);
-    }
-
-    private void OnLVJobControlClicked(object sender, EventArgs e) {
-      currentJob = jobs.List[lvJobControl.SelectedItems[0].Index];
-      JobClicked();
-
-    }
-    private void JobClicked() {
-      scJobControl.Panel2.Controls.Clear();
-      scJobControl.Panel2.Controls.Add(plJobDetails);
-      pbJobControl.Image = ilJobControl.Images[0];
-      lblJobName.Text = currentJob.Id.ToString();
-      progressJob.Value = (int)(currentJob.Percentage * 100);
-      lblProgress.Text = (int)(currentJob.Percentage * 100) + "% calculated";
-      lblUserCreatedJob.Text = /* currentJob.User.Name + */ " created Job";
-      lblJobCreated.Text = "Created at "/* + currentJob.User.CreatedJob + */;
-      if (currentJob.ParentJob != null)   
-        lblParentJob.Text = currentJob.ParentJob.Id + " is parent job";
-      lblPriorityJob.Text = "Priority of job is " /* + currentJob.Priority */;
-      if (currentJob.Client != null) {
-        lblClientCalculating.Text = currentJob.Client.Name + " calculated Job";
-      lblJobCalculationBegin.Text = "Startet calculation at " /* + currentJob.User.CalculationBegin */;
-      lblJobCalculationEnd.Text = "Calculation endet at " /* + currentJob.User.CalculationEnd */;
-      }
-    }
-
+      flagClient = false;
+    }
+ 
     private void btnJobDetailClose_Click(object sender, EventArgs e) {
       scJobControl.Panel2.Controls.Clear();
       scJobControl.Panel2.Controls.Add(lvJobControl);
-    }
-
-    private void OnLVUserControlClicked(object sender, EventArgs e) {
-      currentUser = usersList.List[lvUserControl.SelectedItems[0].Index];
-      UserClicked();
-    }
-
-    private void UserClicked() {
-      scUserControl.Panel2.Controls.Clear();
-      scUserControl.Panel2.Controls.Add(plUserDetails);
-      pbUserControl.Image = ilUserControl.Images[0];
-      lblUserName.Text = currentUser.Id.ToString();
+      flagJob = false;
     }
 
@@ -288,7 +357,7 @@
       scUserControl.Panel2.Controls.Clear();
       scUserControl.Panel2.Controls.Add(lvUserControl);
-    }
-
-    ToolTip tt = new ToolTip();
+      flagUser = false;
+    }
+
     private void lvJobControl_MouseMove(object sender, MouseEventArgs e) {
       if ((lvJobControl.GetItemAt(e.X, e.Y) != null) &&
@@ -297,5 +366,5 @@
       }
     }
-
+    #endregion
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/ServiceLocator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/ServiceLocator.cs	(revision 1135)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/ServiceLocator.cs	(revision 1136)
@@ -30,7 +30,13 @@
         Address != String.Empty &&
         Port != String.Empty) {
+
+        NetTcpBinding binding = 
+             new NetTcpBinding();
+
+        binding.MaxReceivedMessageSize = 5000000;
+
         ChannelFactory<IServerConsoleFacade> factory =
           new ChannelFactory<IServerConsoleFacade>(
-            new NetTcpBinding(),
+            binding,
             new EndpointAddress("net.tcp://" + Address + ":" + Port + "/HiveServerConsole/ServerConsoleFacade"));
 