Index: trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.resx
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.resx	(revision 1087)
+++ trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.resx	(revision 1138)
@@ -127,44 +127,44 @@
         ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAABS
         CgAAAk1TRnQBSQFMAgEBAgEAAQQBAAEEAQABEAEAARABAAT/ASEBAAj/AUIBTQE2BwABNgMAASgDAAFA
-        AwABEAMAAQEBAAEgBgABECoAAUMCAQF0AU0CCQHxAwsB/wFgAgMB1AEgAgEBLCwAAUMCAQF0AU0CCQHx
-        AwsB/wFgAgMB1AEgAgEBLKQAAUoCCgHyAZMBZQELAf8BvwF+AQsB/wG9AXsBCwH/AboBeAELAf8BuAF1
-        AQsB/wG2AXMBCwH/AT8BKAELAf8BPQIBAWUcAAFKAgoB8gILAaQB/wILAdYB/wILAdQB/wILAdIB/wIL
-        AdAB/wILAc4B/wILAUYB/wE9AgEBZZgAARUBEQELAf8BxwGBAQsB/wHDAYEBCwH/AbEBbQELAf8BsQFt
-        AQsB/wGxAW0BCwH/AbEBbQELAf8BswFvAQsB/wG2AXMBCwH/AbQBcAELAf8BXAIFAeQUAAILARYB/wIL
-        AdwB/wILAdkB/wILAcoB/wILAcoB/wILAcoB/wILAcoB/wILAcsB/wILAc4B/wILAcwB/wFcAgUB5JAA
-        AwsB/wHLAYEBCwH/AbsBeQELAf8BtgFzAQsB/wG2AXMBCwH/Ae4B3AHEBf8BvgGBASgB/wG2AXMBCwH/
-        AbYBcwELAf8BtgFzAQsB/wG0AXABCwH/AUkCAgGGDAADCwH/AgsB4AH/AgsB0gH/AgsBzgH/AjgB1gH/
-        AgsBzgH/AgsBzgH/AgsBzgH/Ag4BzgH/AgsBzgH/AgsBzgH/AgsBzAH/AUkCAgGGiAABLAIBAUIB0AGG
-        AQsB/wHHAYEBCwH/AboBeAELAf8BugF4AQsB/wG6AXgBCwH/AdABnAFcBf8BugF4AQsB/wG6AXgBCwH/
-        AboBeAELAf8BugF4AQsB/wG2AXMBCwH/AV8BOgELAf8IAAEsAgEBQgILAeQB/wILAdwB/wILAdIB/wKf
-        Ae0F/wJRAd4B/wILAdIB/wL0Af0F/wIOAdIB/wILAdIB/wILAc4B/wILAWoB/4gAAwsB/wHSAYkBCwH/
-        Ab8BfgELAf8BvwF+AQsB/wG/AX4BCwH/Ab8BfgELAf8B0wGfAVwF/wG/AX4BCwH/Ab8BfgELAf8BvwF+
-        AQsB/wG/AX4BCwH/Ab4BfQELAf8BtgFzAQsB/wE2AgEBVwQAAwsB/wILAeUB/wILAdYB/wILAdYN/wL1
-        Af0J/wLiAfoB/wILAdYB/wILAdUB/wILAc4B/wE2AgEBV4QAAVMBOwELAf8B1AGMAQsB/wHEAYEBCwH/
-        AcQBgQELAf8BxAGBAQsB/wHEAYEBCwH/AdcBpAFdBf8BxAGBAQsB/wHEAYEBCwH/AcQBgQELAf8BxAGB
-        AQsB/wHEAYEBCwH/AbgBdQELAf8BVwIHAewEAAILAVkB/wILAegB/wILAdoB/wILAdoB/wILAdoR/wLi
-        AfoB/wILAdoB/wILAdoB/wILAdoB/wILAdAB/wFXAgcB7IQAAXMBUAELAf8B1wGOAQsB/wHJAYEBCwH/
-        AckBgQELAf8ByQGBAQsB/wHJAYEBCwn/AckBgQELAf8ByQGBAQsB/wHJAYEBCwH/AckBgQELAf8ByQGB
-        AQsB/wG6AXgBCwH/AwsB/wQAAgsBfAH/AgsB6QH/AgsB3gH/AgsB3gH/AgsB3gH/AvQB/Q3/AlEB5wH/
-        AgsB3gH/AgsB3gH/AgsB3gH/AgsB0gH/AwsB/4QAAWMBQQELAf8B2QGRAQsB/wHOAYMBCwH/Ac4BgwEL
-        Af8BzgGDAQsB/wHOAYMBCwH/Ac4BgwELAf8B1wGcATwB/wHOAYMBCwH/Ac4BgwELAf8BzgGDAQsB/wHO
-        AYMBCwH/Ac4BgwELAf8BvQF7AQsB/wEsAgsB+QQAAQsBEAFiAf8CCwHsAf8CCwHiAf8CCwHiAf8C9AH9
-        Ff8CUQHqAf8CCwHiAf8CCwHiAf8CCwHUAf8BLAILAfmEAAEOAQwBCwH/AdsBlAELAf8B0gGJAQsB/wHS
-        AYkBCwH/AdIBiQELAf8B0gGJAQsB/wHSAYkBCwH/AesBywGQAf8B0gGJAQsB/wHSAYkBCwH/AdIBiQEL
-        Af8B0gGJAQsB/wHEAYEBCwH/Ab8BfgELAf8BUQICAZsEAAILAQ4B/wILAe0B/wILAeYB/wILAeUB/wL9
-        Af4F/wLiAfwB/wILAeUJ/wJ8AfEB/wILAeUB/wILAdoB/wILAdYB/wFRAgIBm4QAAVgCAgGyAd4BmAEL
-        Af8B2wGUAQsB/wHXAY4BCwH/AdcBjgELAf8B1wGOAQsB/wH7AfYB6wX/AdcBjgELAf8B1wGOAQsB/wHX
-        AY4BCwH/AdYBjQELAf8BxAGBAQsB/wGpAWwBCwH/CAABWAICAbIBCwEVAe8B/wILAe0B/wILAekB/wIL
-        AekB/wLhAfwB/wILAekB/wILAekB/wILAekB/wJ8AfMB/wILAekB/wILAegB/wILAdoB/wELARMBnQH/
-        jAABRQEqAQsB/wHdAZcBCwH/AdsBlAELAf8B2wGUAQsB/wHbAZQBCwH/AdsBlAELAf8B3AGXAREB/wHb
-        AZQBCwH/AdsBlAELAf8B1QGMAQsB/wHJAYEBCwH/AdEBiAELAf8BIQILAfwMAAILAT8B/wILAe8B/wIL
-        Ae0B/wILAe0B/wILAe0B/wILAe0B/wILAe0B/wILAe0B/wILAe0B/wILAegB/wILAd4B/wELAR4B4gH/
-        ASECCwH8jAABGQIBASEBkAFfAQsB/wHfAZkBCwH/AdsBlAELAf8B2QGRAQsB/wHYAZABCwH/AdgBkAEL
-        Af8B0wGKAQsB/wHQAYYBCwH/Ac4BgwELAf8B2gGSAQsB/wEWAREBCwH/EAABGQIBASECCwGHAf8BCwER
-        AfEB/wILAe0B/wILAewB/wILAesB/wILAesB/wILAeYB/wILAeQB/wILAeIB/wELASgB5gH/AgsBFQH/
-        lAABEgIBARYBMAEiAQsB/wHSAYkBCwH/AeIBnQELAf8B2QGRAQsB/wHXAY4BCwH/AdUBjAELAf8B4QGb
-        AQsB/wHOAYQBCwH/ARYCCwH+GAABEgIBARYCCwEvAf8BCwERAdMB/wELASIB9AH/AgsB7AH/AgsB6QH/
-        AQsBDAHoAf8BCwEqAfAB/wILAcwB/wEWAgsB/qAAAUYCAQF9AwsB/wFcAUMBCwH/AX0BXAELAf8BPQEu
-        AQsB/wEWAgsB/gEUAgEBGiQAAUYCAQF9AwsB/wILAV8B/wILAYEB/wILAT8B/wEWAgsB/gEUAgEBGv8A
+        AwABEAMAAQEBAAEgBgABECoAAUMCAQF0AVoCCQHxAxAB/wFiAgMB1AEgAgEBLCwAAUMCAQF0AVoCCQHx
+        AxAB/wFiAgMB1AEgAgEBLKQAAVgCCgHyAZMBagEQAf8BvwGBARAB/wG9AYABEAH/AboBfQEQAf8BuAF6
+        ARAB/wG2AXgBEAH/AUQBLQEQAf8BPQIBAWUcAAFYAgoB8gIQAaQB/wIQAdYB/wIQAdQB/wIQAdIB/wIQ
+        AdAB/wIQAc4B/wIQAUsB/wE9AgEBZZgAARoBFgEQAf8BxwGBARAB/wHDAYEBEAH/AbEBcgEQAf8BsQFy
+        ARAB/wGxAXIBEAH/AbEBcgEQAf8BswF0ARAB/wG2AXgBEAH/AbQBdQEQAf8BYQIFAeQUAAIQARsB/wIQ
+        AdwB/wIQAdkB/wIQAcoB/wIQAcoB/wIQAcoB/wIQAcoB/wIQAcsB/wIQAc4B/wIQAcwB/wFhAgUB5JAA
+        AxAB/wHLAYEBEAH/AbsBfgEQAf8BtgF4ARAB/wG2AXgBEAH/Ae4B3AHEBf8BvgGBAS0B/wG2AXgBEAH/
+        AbYBeAEQAf8BtgF4ARAB/wG0AXUBEAH/AUkCAgGGDAADEAH/AhAB4AH/AhAB0gH/AhABzgH/Aj0B1gH/
+        AhABzgH/AhABzgH/AhABzgH/AhMBzgH/AhABzgH/AhABzgH/AhABzAH/AUkCAgGGiAABLAIBAUIB0AGG
+        ARAB/wHHAYEBEAH/AboBfQEQAf8BugF9ARAB/wG6AX0BEAH/AdABnAFhBf8BugF9ARAB/wG6AX0BEAH/
+        AboBfQEQAf8BugF9ARAB/wG2AXgBEAH/AWQBPwEQAf8IAAEsAgEBQgIQAeQB/wIQAdwB/wIQAdIB/wKf
+        Ae0F/wJWAd4B/wIQAdIB/wL0Af0F/wITAdIB/wIQAdIB/wIQAc4B/wIQAW8B/4gAAxAB/wHSAYkBEAH/
+        Ab8BgQEQAf8BvwGBARAB/wG/AYEBEAH/Ab8BgQEQAf8B0wGfAWEF/wG/AYEBEAH/Ab8BgQEQAf8BvwGB
+        ARAB/wG/AYEBEAH/Ab4BgQEQAf8BtgF4ARAB/wE2AgEBVwQAAxAB/wIQAeUB/wIQAdYB/wIQAdYN/wL1
+        Af0J/wLiAfoB/wIQAdYB/wIQAdUB/wIQAc4B/wE2AgEBV4QAAVgBQAEQAf8B1AGMARAB/wHEAYEBEAH/
+        AcQBgQEQAf8BxAGBARAB/wHEAYEBEAH/AdcBpAFiBf8BxAGBARAB/wHEAYEBEAH/AcQBgQEQAf8BxAGB
+        ARAB/wHEAYEBEAH/AbgBegEQAf8BXgIHAewEAAIQAV4B/wIQAegB/wIQAdoB/wIQAdoB/wIQAdoR/wLi
+        AfoB/wIQAdoB/wIQAdoB/wIQAdoB/wIQAdAB/wFeAgcB7IQAAXgBVQEQAf8B1wGOARAB/wHJAYEBEAH/
+        AckBgQEQAf8ByQGBARAB/wHJAYEBEAn/AckBgQEQAf8ByQGBARAB/wHJAYEBEAH/AckBgQEQAf8ByQGB
+        ARAB/wG6AX0BEAH/AxAB/wQAAhABgQH/AhAB6QH/AhAB3gH/AhAB3gH/AhAB3gH/AvQB/Q3/AlYB5wH/
+        AhAB3gH/AhAB3gH/AhAB3gH/AhAB0gH/AxAB/4QAAWgBRgEQAf8B2QGRARAB/wHOAYMBEAH/Ac4BgwEQ
+        Af8BzgGDARAB/wHOAYMBEAH/Ac4BgwEQAf8B1wGcAUEB/wHOAYMBEAH/Ac4BgwEQAf8BzgGDARAB/wHO
+        AYMBEAH/Ac4BgwEQAf8BvQGAARAB/wE9AhAB+QQAARABFQFnAf8CEAHsAf8CEAHiAf8CEAHiAf8C9AH9
+        Ff8CVgHqAf8CEAHiAf8CEAHiAf8CEAHUAf8BPQIQAfmEAAETAREBEAH/AdsBlAEQAf8B0gGJARAB/wHS
+        AYkBEAH/AdIBiQEQAf8B0gGJARAB/wHSAYkBEAH/AesBywGQAf8B0gGJARAB/wHSAYkBEAH/AdIBiQEQ
+        Af8B0gGJARAB/wHEAYEBEAH/Ab8BgQEQAf8BUQICAZsEAAIQARMB/wIQAe0B/wIQAeYB/wIQAeUB/wL9
+        Af4F/wLiAfwB/wIQAeUJ/wKBAfEB/wIQAeUB/wIQAdoB/wIQAdYB/wFRAgIBm4QAAVgCAgGyAd4BmAEQ
+        Af8B2wGUARAB/wHXAY4BEAH/AdcBjgEQAf8B1wGOARAB/wH7AfYB6wX/AdcBjgEQAf8B1wGOARAB/wHX
+        AY4BEAH/AdYBjQEQAf8BxAGBARAB/wGpAXEBEAH/CAABWAICAbIBEAEaAe8B/wIQAe0B/wIQAekB/wIQ
+        AekB/wLhAfwB/wIQAekB/wIQAekB/wIQAekB/wKBAfMB/wIQAekB/wIQAegB/wIQAdoB/wEQARgBnQH/
+        jAABSgEvARAB/wHdAZcBEAH/AdsBlAEQAf8B2wGUARAB/wHbAZQBEAH/AdsBlAEQAf8B3AGXARYB/wHb
+        AZQBEAH/AdsBlAEQAf8B1QGMARAB/wHJAYEBEAH/AdEBiAEQAf8BKwIQAfwMAAIQAUQB/wIQAe8B/wIQ
+        Ae0B/wIQAe0B/wIQAe0B/wIQAe0B/wIQAe0B/wIQAe0B/wIQAe0B/wIQAegB/wIQAd4B/wEQASMB4gH/
+        ASsCEAH8jAABGQIBASEBkAFkARAB/wHfAZkBEAH/AdsBlAEQAf8B2QGRARAB/wHYAZABEAH/AdgBkAEQ
+        Af8B0wGKARAB/wHQAYYBEAH/Ac4BgwEQAf8B2gGSARAB/wEbARYBEAH/EAABGQIBASECEAGHAf8BEAEW
+        AfEB/wIQAe0B/wIQAewB/wIQAesB/wIQAesB/wIQAeYB/wIQAeQB/wIQAeIB/wEQAS0B5gH/AhABGgH/
+        lAABEgIBARYBNQEnARAB/wHSAYkBEAH/AeIBnQEQAf8B2QGRARAB/wHXAY4BEAH/AdUBjAEQAf8B4QGb
+        ARAB/wHOAYQBEAH/ASACEAH+GAABEgIBARYCEAE0Af8BEAEWAdMB/wEQAScB9AH/AhAB7AH/AhAB6QH/
+        ARABEQHoAf8BEAEvAfAB/wIQAcwB/wEgAhAB/qAAAUYCAQF9AxAB/wFhAUgBEAH/AYEBYQEQAf8BQgEz
+        ARAB/wEgAhAB/gEUAgEBGiQAAUYCAQF9AxAB/wIQAWQB/wIQAYEB/wIQAUQB/wEgAhAB/gEUAgEBGv8A
         kQABQgFNAT4HAAE+AwABKAMAAUADAAEQAwABAQEAAQEFAAGAFwAD/wEAAfwBHwH8AR8EAAHwAQcB8AEH
         BAAB4AEDAeABAwQAAcABAQHAAQEEAAGAAQEBgAEBBAABgAEAAYAFAAGAAQABgAUAAYABAAGABQABgAEA
@@ -173,6 +173,3 @@
 </value>
   </data>
-  <metadata name="$this.Locked" type="System.Boolean, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-    <value>True</value>
-  </metadata>
 </root>