Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/HeuristicLab.Hive.Server.ADODataAccess.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/HeuristicLab.Hive.Server.ADODataAccess.csproj	(revision 1142)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/HeuristicLab.Hive.Server.ADODataAccess.csproj	(revision 1143)
@@ -68,5 +68,4 @@
     <Compile Include="ClientGroupAdapter.cs" />
     <Compile Include="DataAdapterBase.cs" />
-    <Compile Include="DBSettings.cs" />
     <Compile Include="dsHiveServer.cs">
       <DependentUpon>dsHiveServer.xsd</DependentUpon>
@@ -84,9 +83,9 @@
     <Compile Include="PermissionOwnerAdapter.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <None Include="Properties\Settings.Designer.cs">
+    <Compile Include="Properties\Settings.Designer.cs">
       <AutoGen>True</AutoGen>
       <DesignTimeSharedInput>True</DesignTimeSharedInput>
       <DependentUpon>Settings.settings</DependentUpon>
-    </None>
+    </Compile>
     <Compile Include="ResourceAdapter.cs" />
     <Compile Include="TransactionManager.cs" />
@@ -95,4 +94,5 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="app.config" />
     <None Include="dsHiveServer.xsc">
       <DependentUpon>dsHiveServer.xsd</DependentUpon>
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/Properties/Settings.settings
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/Properties/Settings.settings	(revision 1142)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/Properties/Settings.settings	(revision 1143)
@@ -7,5 +7,4 @@
 &lt;SerializableConnectionString xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema"&gt;
   &lt;ConnectionString&gt;Data Source=10.22.20.84;Initial Catalog=HiveServer;Persist Security Info=True;User ID=hive;Password=hive&lt;/ConnectionString&gt;
-  &lt;ProviderName&gt;System.Data.SqlClient&lt;/ProviderName&gt;
 &lt;/SerializableConnectionString&gt;</DesignTimeValue>
       <Value Profile="(Default)">Data Source=10.22.20.84;Initial Catalog=HiveServer;Persist Security Info=True;User ID=hive;Password=hive</Value>
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/app.config
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/app.config	(revision 1143)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/app.config	(revision 1143)
@@ -0,0 +1,9 @@
+﻿<?xml version="1.0" encoding="utf-8" ?>
+<configuration>
+    <configSections>
+    </configSections>
+    <connectionStrings>
+        <add name="HeuristicLab.Hive.Server.ADODataAccess.Properties.Settings.HiveServerConnectionString"
+            connectionString="Data Source=10.22.20.84;Initial Catalog=HiveServer;Persist Security Info=True;User ID=hive;Password=hive" />
+    </connectionStrings>
+</configuration>
Index: /trunk/sources/HeuristicLab.Hive.Server/MainForm.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server/MainForm.Designer.cs	(revision 1142)
+++ /trunk/sources/HeuristicLab.Hive.Server/MainForm.Designer.cs	(revision 1143)
@@ -42,7 +42,7 @@
           this.label1.Location = new System.Drawing.Point(18, 18);
           this.label1.Name = "label1";
-          this.label1.Size = new System.Drawing.Size(115, 13);
+          this.label1.Size = new System.Drawing.Size(183, 13);
           this.label1.TabIndex = 0;
-          this.label1.Text = "Hive Server running @";
+          this.label1.Text = "Hive Server Client Facade running @";
           // 
           // lblAddress1
Index: /trunk/sources/HeuristicLab/MergeConfigs.cmd
===================================================================
--- /trunk/sources/HeuristicLab/MergeConfigs.cmd	(revision 1142)
+++ /trunk/sources/HeuristicLab/MergeConfigs.cmd	(revision 1143)
@@ -3,2 +3,3 @@
 ConfigMerger "%SolutionDir%\HeuristicLab.Hive.Client.Core\%Outdir%\HeuristicLab.Hive.Client.Core-3.2.dll.config" "HeuristicLab.exe.config"
 ConfigMerger "%SolutionDir%\HeuristicLab.Hive.Client.Console\%Outdir%\HeuristicLab.Hive.Client.Console-3.2.dll.config" "HeuristicLab.exe.config"
+ConfigMerger "%SolutionDir%\HeuristicLab.Hive.Server.ADODataAccess\%Outdir%\HeuristicLab.Hive.Server.ADODataAccess-3.2.dll.config" "HeuristicLab.exe.config"
Index: /trunk/sources/HeuristicLab/app.config
===================================================================
--- /trunk/sources/HeuristicLab/app.config	(revision 1142)
+++ /trunk/sources/HeuristicLab/app.config	(revision 1143)
@@ -6,4 +6,6 @@
         </sectionGroup>
     </configSections>
+  <connectionStrings>
+  </connectionStrings>
   <system.serviceModel>
   </system.serviceModel>