Index: /trunk/sources/HeuristicLab.Hive.Client.Console/HeuristicLab.Hive.Client.Console.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/HeuristicLab.Hive.Client.Console.csproj	(revision 1144)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/HeuristicLab.Hive.Client.Console.csproj	(revision 1145)
@@ -56,20 +56,4 @@
       <HintPath>.\Calendar.DayView.dll</HintPath>
     </Reference>
-    <Reference Include="HeuristicLab.Charting-3.2, Version=3.2.0.582, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
-      <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\HeuristicLab.Charting\bin\Debug\HeuristicLab.Charting-3.2.dll</HintPath>
-    </Reference>
-    <Reference Include="HeuristicLab.Charting.Data-3.2, Version=3.2.0.582, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
-      <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\HeuristicLab.Charting.Data\bin\Debug\HeuristicLab.Charting.Data-3.2.dll</HintPath>
-    </Reference>
-    <Reference Include="HeuristicLab.Data-3.2, Version=3.2.0.776, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
-      <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\HeuristicLab.Data\bin\Debug\HeuristicLab.Data-3.2.dll</HintPath>
-    </Reference>
-    <Reference Include="HeuristicLab.Operators-3.2, Version=3.2.0.801, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
-      <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\HeuristicLab.Operators\bin\Debug\HeuristicLab.Operators-3.2.dll</HintPath>
-    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core">
@@ -198,4 +182,7 @@
     <None Include="Resources\schedule.jpg" />
   </ItemGroup>
+  <ItemGroup>
+    <None Include="Resources\shutdown-icon.png" />
+  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.Designer.cs	(revision 1144)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.Designer.cs	(revision 1145)
@@ -46,13 +46,11 @@
     private void InitializeComponent() {
       this.components = new System.ComponentModel.Container();
-      Calendar.DrawTool drawTool3 = new Calendar.DrawTool();
+      Calendar.DrawTool drawTool5 = new Calendar.DrawTool();
       System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(HiveClientConsole));
       this.dvOnline = new Calendar.DayView();
       this.tcClientConsole = new System.Windows.Forms.TabControl();
       this.tpConnection = new System.Windows.Forms.TabPage();
+      this.btn_clientShutdown = new System.Windows.Forms.Button();
       this.gbServerConnection = new System.Windows.Forms.GroupBox();
-      this.btn_clientShutdown = new System.Windows.Forms.Button();
-      this.lbStatus = new System.Windows.Forms.Label();
-      this.lbStatusCaption = new System.Windows.Forms.Label();
       this.btnDisconnect = new System.Windows.Forms.Button();
       this.btConnect = new System.Windows.Forms.Button();
@@ -90,4 +88,6 @@
       this.pictureBox1 = new System.Windows.Forms.PictureBox();
       this.groupBox1 = new System.Windows.Forms.GroupBox();
+      this.txtTimeTo = new System.Windows.Forms.TextBox();
+      this.label3 = new System.Windows.Forms.Label();
       this.txttimeFrom = new System.Windows.Forms.TextBox();
       this.lblTimeFrame = new System.Windows.Forms.Label();
@@ -99,6 +99,5 @@
       this.btCreate = new System.Windows.Forms.Button();
       this.mcOnline = new System.Windows.Forms.MonthCalendar();
-      this.txtTimeTo = new System.Windows.Forms.TextBox();
-      this.label3 = new System.Windows.Forms.Label();
+      this.groupBox2 = new System.Windows.Forms.GroupBox();
       this.tcClientConsole.SuspendLayout();
       this.tpConnection.SuspendLayout();
@@ -111,10 +110,11 @@
       ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).BeginInit();
       this.groupBox1.SuspendLayout();
+      this.groupBox2.SuspendLayout();
       this.SuspendLayout();
       // 
       // dvOnline
       // 
-      drawTool3.DayView = this.dvOnline;
-      this.dvOnline.ActiveTool = drawTool3;
+      drawTool5.DayView = this.dvOnline;
+      this.dvOnline.ActiveTool = drawTool5;
       this.dvOnline.AmPmDisplay = false;
       this.dvOnline.AppointmentHeightMode = Calendar.AppHeightDrawMode.TrueHeightAll;
@@ -149,4 +149,5 @@
       // tpConnection
       // 
+      this.tpConnection.Controls.Add(this.groupBox2);
       this.tpConnection.Controls.Add(this.gbServerConnection);
       this.tpConnection.Controls.Add(this.gbJobCommon);
@@ -162,9 +163,16 @@
       this.tpConnection.UseVisualStyleBackColor = true;
       // 
+      // btn_clientShutdown
+      // 
+      this.btn_clientShutdown.Image = global::HeuristicLab.Hive.Client.Console.Properties.Resources.shutdown_icon;
+      this.btn_clientShutdown.Location = new System.Drawing.Point(13, 44);
+      this.btn_clientShutdown.Name = "btn_clientShutdown";
+      this.btn_clientShutdown.Size = new System.Drawing.Size(61, 55);
+      this.btn_clientShutdown.TabIndex = 8;
+      this.btn_clientShutdown.UseVisualStyleBackColor = true;
+      this.btn_clientShutdown.Click += new System.EventHandler(this.btn_clientShutdown_Click);
+      // 
       // gbServerConnection
       // 
-      this.gbServerConnection.Controls.Add(this.btn_clientShutdown);
-      this.gbServerConnection.Controls.Add(this.lbStatus);
-      this.gbServerConnection.Controls.Add(this.lbStatusCaption);
       this.gbServerConnection.Controls.Add(this.btnDisconnect);
       this.gbServerConnection.Controls.Add(this.btConnect);
@@ -175,40 +183,12 @@
       this.gbServerConnection.Location = new System.Drawing.Point(424, 6);
       this.gbServerConnection.Name = "gbServerConnection";
-      this.gbServerConnection.Size = new System.Drawing.Size(414, 133);
+      this.gbServerConnection.Size = new System.Drawing.Size(316, 133);
       this.gbServerConnection.TabIndex = 15;
       this.gbServerConnection.TabStop = false;
       this.gbServerConnection.Text = "Server connection";
       // 
-      // btn_clientShutdown
-      // 
-      this.btn_clientShutdown.Location = new System.Drawing.Point(257, 80);
-      this.btn_clientShutdown.Name = "btn_clientShutdown";
-      this.btn_clientShutdown.Size = new System.Drawing.Size(147, 23);
-      this.btn_clientShutdown.TabIndex = 8;
-      this.btn_clientShutdown.Text = "Shutdown Client";
-      this.btn_clientShutdown.UseVisualStyleBackColor = true;
-      this.btn_clientShutdown.Click += new System.EventHandler(this.btn_clientShutdown_Click);
-      // 
-      // lbStatus
-      // 
-      this.lbStatus.AutoSize = true;
-      this.lbStatus.Location = new System.Drawing.Point(74, 80);
-      this.lbStatus.Name = "lbStatus";
-      this.lbStatus.Size = new System.Drawing.Size(50, 13);
-      this.lbStatus.TabIndex = 7;
-      this.lbStatus.Text = "loading...";
-      // 
-      // lbStatusCaption
-      // 
-      this.lbStatusCaption.AutoSize = true;
-      this.lbStatusCaption.Location = new System.Drawing.Point(17, 80);
-      this.lbStatusCaption.Name = "lbStatusCaption";
-      this.lbStatusCaption.Size = new System.Drawing.Size(40, 13);
-      this.lbStatusCaption.TabIndex = 6;
-      this.lbStatusCaption.Text = "Status:";
-      // 
       // btnDisconnect
       // 
-      this.btnDisconnect.Location = new System.Drawing.Point(257, 51);
+      this.btnDisconnect.Location = new System.Drawing.Point(159, 96);
       this.btnDisconnect.Name = "btnDisconnect";
       this.btnDisconnect.Size = new System.Drawing.Size(147, 23);
@@ -220,5 +200,5 @@
       // btConnect
       // 
-      this.btConnect.Location = new System.Drawing.Point(257, 23);
+      this.btConnect.Location = new System.Drawing.Point(6, 96);
       this.btConnect.Name = "btConnect";
       this.btConnect.Size = new System.Drawing.Size(147, 23);
@@ -232,5 +212,5 @@
       this.tbPort.Location = new System.Drawing.Point(77, 51);
       this.tbPort.Name = "tbPort";
-      this.tbPort.Size = new System.Drawing.Size(143, 20);
+      this.tbPort.Size = new System.Drawing.Size(229, 20);
       this.tbPort.TabIndex = 3;
       // 
@@ -239,5 +219,5 @@
       this.tbIPAdress.Location = new System.Drawing.Point(77, 25);
       this.tbIPAdress.Name = "tbIPAdress";
-      this.tbIPAdress.Size = new System.Drawing.Size(143, 20);
+      this.tbIPAdress.Size = new System.Drawing.Size(229, 20);
       this.tbIPAdress.TabIndex = 2;
       // 
@@ -247,7 +227,7 @@
       this.lbServerIPCaption.Location = new System.Drawing.Point(17, 28);
       this.lbServerIPCaption.Name = "lbServerIPCaption";
-      this.lbServerIPCaption.Size = new System.Drawing.Size(54, 13);
+      this.lbServerIPCaption.Size = new System.Drawing.Size(60, 13);
       this.lbServerIPCaption.TabIndex = 0;
-      this.lbServerIPCaption.Text = "IP adress:";
+      this.lbServerIPCaption.Text = "IP address:";
       // 
       // lbPortCaption
@@ -482,5 +462,5 @@
       // 
       this.chMessage.Text = "Message";
-      this.chMessage.Width = 163;
+      this.chMessage.Width = 157;
       // 
       // chDate
@@ -539,4 +519,20 @@
       this.groupBox1.Text = "Create";
       // 
+      // txtTimeTo
+      // 
+      this.txtTimeTo.Location = new System.Drawing.Point(166, 89);
+      this.txtTimeTo.Name = "txtTimeTo";
+      this.txtTimeTo.Size = new System.Drawing.Size(31, 20);
+      this.txtTimeTo.TabIndex = 29;
+      // 
+      // label3
+      // 
+      this.label3.AutoSize = true;
+      this.label3.Location = new System.Drawing.Point(137, 92);
+      this.label3.Name = "label3";
+      this.label3.Size = new System.Drawing.Size(23, 13);
+      this.label3.TabIndex = 28;
+      this.label3.Text = "To:";
+      // 
       // txttimeFrom
       // 
@@ -615,19 +611,13 @@
       this.mcOnline.DateChanged += new System.Windows.Forms.DateRangeEventHandler(this.mcOnline_DateChanged);
       // 
-      // txtTimeTo
-      // 
-      this.txtTimeTo.Location = new System.Drawing.Point(166, 89);
-      this.txtTimeTo.Name = "txtTimeTo";
-      this.txtTimeTo.Size = new System.Drawing.Size(31, 20);
-      this.txtTimeTo.TabIndex = 29;
-      // 
-      // label3
-      // 
-      this.label3.AutoSize = true;
-      this.label3.Location = new System.Drawing.Point(137, 92);
-      this.label3.Name = "label3";
-      this.label3.Size = new System.Drawing.Size(23, 13);
-      this.label3.TabIndex = 28;
-      this.label3.Text = "To:";
+      // groupBox2
+      // 
+      this.groupBox2.Controls.Add(this.btn_clientShutdown);
+      this.groupBox2.Location = new System.Drawing.Point(746, 8);
+      this.groupBox2.Name = "groupBox2";
+      this.groupBox2.Size = new System.Drawing.Size(86, 131);
+      this.groupBox2.TabIndex = 16;
+      this.groupBox2.TabStop = false;
+      this.groupBox2.Text = "Shutdown";
       // 
       // HiveClientConsole
@@ -655,4 +645,5 @@
       this.groupBox1.ResumeLayout(false);
       this.groupBox1.PerformLayout();
+      this.groupBox2.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -692,6 +683,4 @@
     private System.Windows.Forms.GroupBox gbServerConnection;
     private System.Windows.Forms.Button btn_clientShutdown;
-    private System.Windows.Forms.Label lbStatus;
-    private System.Windows.Forms.Label lbStatusCaption;
     private System.Windows.Forms.Button btnDisconnect;
     private System.Windows.Forms.Button btConnect;
@@ -714,4 +703,5 @@
     private System.Windows.Forms.TextBox txtTimeTo;
     private System.Windows.Forms.Label label3;
+    private System.Windows.Forms.GroupBox groupBox2;
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.cs	(revision 1144)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.cs	(revision 1145)
@@ -241,5 +241,4 @@
 
         this.Text = "Client Console (" + sc.Status.ToString() + ")";
-        lbStatus.Text = sc.Status.ToString();
 
         ListViewItem curJobStatusItem;
Index: /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.resx
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.resx	(revision 1144)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.resx	(revision 1145)
@@ -127,44 +127,44 @@
         ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAABS
         CgAAAk1TRnQBSQFMAgEBAgEAAQQBAAEEAQABEAEAARABAAT/ASEBAAj/AUIBTQE2BwABNgMAASgDAAFA
-        AwABEAMAAQEBAAEgBgABECoAAUMCAQF0AVoCCQHxAxAB/wFiAgMB1AEgAgEBLCwAAUMCAQF0AVoCCQHx
-        AxAB/wFiAgMB1AEgAgEBLKQAAVgCCgHyAZMBagEQAf8BvwGBARAB/wG9AYABEAH/AboBfQEQAf8BuAF6
-        ARAB/wG2AXgBEAH/AUQBLQEQAf8BPQIBAWUcAAFYAgoB8gIQAaQB/wIQAdYB/wIQAdQB/wIQAdIB/wIQ
-        AdAB/wIQAc4B/wIQAUsB/wE9AgEBZZgAARoBFgEQAf8BxwGBARAB/wHDAYEBEAH/AbEBcgEQAf8BsQFy
-        ARAB/wGxAXIBEAH/AbEBcgEQAf8BswF0ARAB/wG2AXgBEAH/AbQBdQEQAf8BYQIFAeQUAAIQARsB/wIQ
-        AdwB/wIQAdkB/wIQAcoB/wIQAcoB/wIQAcoB/wIQAcoB/wIQAcsB/wIQAc4B/wIQAcwB/wFhAgUB5JAA
-        AxAB/wHLAYEBEAH/AbsBfgEQAf8BtgF4ARAB/wG2AXgBEAH/Ae4B3AHEBf8BvgGBAS0B/wG2AXgBEAH/
-        AbYBeAEQAf8BtgF4ARAB/wG0AXUBEAH/AUkCAgGGDAADEAH/AhAB4AH/AhAB0gH/AhABzgH/Aj0B1gH/
-        AhABzgH/AhABzgH/AhABzgH/AhMBzgH/AhABzgH/AhABzgH/AhABzAH/AUkCAgGGiAABLAIBAUIB0AGG
-        ARAB/wHHAYEBEAH/AboBfQEQAf8BugF9ARAB/wG6AX0BEAH/AdABnAFhBf8BugF9ARAB/wG6AX0BEAH/
-        AboBfQEQAf8BugF9ARAB/wG2AXgBEAH/AWQBPwEQAf8IAAEsAgEBQgIQAeQB/wIQAdwB/wIQAdIB/wKf
-        Ae0F/wJWAd4B/wIQAdIB/wL0Af0F/wITAdIB/wIQAdIB/wIQAc4B/wIQAW8B/4gAAxAB/wHSAYkBEAH/
-        Ab8BgQEQAf8BvwGBARAB/wG/AYEBEAH/Ab8BgQEQAf8B0wGfAWEF/wG/AYEBEAH/Ab8BgQEQAf8BvwGB
-        ARAB/wG/AYEBEAH/Ab4BgQEQAf8BtgF4ARAB/wE2AgEBVwQAAxAB/wIQAeUB/wIQAdYB/wIQAdYN/wL1
-        Af0J/wLiAfoB/wIQAdYB/wIQAdUB/wIQAc4B/wE2AgEBV4QAAVgBQAEQAf8B1AGMARAB/wHEAYEBEAH/
-        AcQBgQEQAf8BxAGBARAB/wHEAYEBEAH/AdcBpAFiBf8BxAGBARAB/wHEAYEBEAH/AcQBgQEQAf8BxAGB
-        ARAB/wHEAYEBEAH/AbgBegEQAf8BXgIHAewEAAIQAV4B/wIQAegB/wIQAdoB/wIQAdoB/wIQAdoR/wLi
-        AfoB/wIQAdoB/wIQAdoB/wIQAdoB/wIQAdAB/wFeAgcB7IQAAXgBVQEQAf8B1wGOARAB/wHJAYEBEAH/
-        AckBgQEQAf8ByQGBARAB/wHJAYEBEAn/AckBgQEQAf8ByQGBARAB/wHJAYEBEAH/AckBgQEQAf8ByQGB
-        ARAB/wG6AX0BEAH/AxAB/wQAAhABgQH/AhAB6QH/AhAB3gH/AhAB3gH/AhAB3gH/AvQB/Q3/AlYB5wH/
-        AhAB3gH/AhAB3gH/AhAB3gH/AhAB0gH/AxAB/4QAAWgBRgEQAf8B2QGRARAB/wHOAYMBEAH/Ac4BgwEQ
-        Af8BzgGDARAB/wHOAYMBEAH/Ac4BgwEQAf8B1wGcAUEB/wHOAYMBEAH/Ac4BgwEQAf8BzgGDARAB/wHO
-        AYMBEAH/Ac4BgwEQAf8BvQGAARAB/wE9AhAB+QQAARABFQFnAf8CEAHsAf8CEAHiAf8CEAHiAf8C9AH9
-        Ff8CVgHqAf8CEAHiAf8CEAHiAf8CEAHUAf8BPQIQAfmEAAETAREBEAH/AdsBlAEQAf8B0gGJARAB/wHS
-        AYkBEAH/AdIBiQEQAf8B0gGJARAB/wHSAYkBEAH/AesBywGQAf8B0gGJARAB/wHSAYkBEAH/AdIBiQEQ
-        Af8B0gGJARAB/wHEAYEBEAH/Ab8BgQEQAf8BUQICAZsEAAIQARMB/wIQAe0B/wIQAeYB/wIQAeUB/wL9
-        Af4F/wLiAfwB/wIQAeUJ/wKBAfEB/wIQAeUB/wIQAdoB/wIQAdYB/wFRAgIBm4QAAVgCAgGyAd4BmAEQ
-        Af8B2wGUARAB/wHXAY4BEAH/AdcBjgEQAf8B1wGOARAB/wH7AfYB6wX/AdcBjgEQAf8B1wGOARAB/wHX
-        AY4BEAH/AdYBjQEQAf8BxAGBARAB/wGpAXEBEAH/CAABWAICAbIBEAEaAe8B/wIQAe0B/wIQAekB/wIQ
-        AekB/wLhAfwB/wIQAekB/wIQAekB/wIQAekB/wKBAfMB/wIQAekB/wIQAegB/wIQAdoB/wEQARgBnQH/
-        jAABSgEvARAB/wHdAZcBEAH/AdsBlAEQAf8B2wGUARAB/wHbAZQBEAH/AdsBlAEQAf8B3AGXARYB/wHb
-        AZQBEAH/AdsBlAEQAf8B1QGMARAB/wHJAYEBEAH/AdEBiAEQAf8BKwIQAfwMAAIQAUQB/wIQAe8B/wIQ
-        Ae0B/wIQAe0B/wIQAe0B/wIQAe0B/wIQAe0B/wIQAe0B/wIQAe0B/wIQAegB/wIQAd4B/wEQASMB4gH/
-        ASsCEAH8jAABGQIBASEBkAFkARAB/wHfAZkBEAH/AdsBlAEQAf8B2QGRARAB/wHYAZABEAH/AdgBkAEQ
-        Af8B0wGKARAB/wHQAYYBEAH/Ac4BgwEQAf8B2gGSARAB/wEbARYBEAH/EAABGQIBASECEAGHAf8BEAEW
-        AfEB/wIQAe0B/wIQAewB/wIQAesB/wIQAesB/wIQAeYB/wIQAeQB/wIQAeIB/wEQAS0B5gH/AhABGgH/
-        lAABEgIBARYBNQEnARAB/wHSAYkBEAH/AeIBnQEQAf8B2QGRARAB/wHXAY4BEAH/AdUBjAEQAf8B4QGb
-        ARAB/wHOAYQBEAH/ASACEAH+GAABEgIBARYCEAE0Af8BEAEWAdMB/wEQAScB9AH/AhAB7AH/AhAB6QH/
-        ARABEQHoAf8BEAEvAfAB/wIQAcwB/wEgAhAB/qAAAUYCAQF9AxAB/wFhAUgBEAH/AYEBYQEQAf8BQgEz
-        ARAB/wEgAhAB/gEUAgEBGiQAAUYCAQF9AxAB/wIQAWQB/wIQAYEB/wIQAUQB/wEgAhAB/gEUAgEBGv8A
+        AwABEAMAAQEBAAEgBgABECoAAUMCAQF0AVsCCQHxAxEB/wFiAgMB1AEgAgEBLCwAAUMCAQF0AVsCCQHx
+        AxEB/wFiAgMB1AEgAgEBLKQAAVsCCgHyAZMBawERAf8BvwGBAREB/wG9AYEBEQH/AboBfgERAf8BuAF7
+        AREB/wG2AXkBEQH/AUUBLgERAf8BPQIBAWUcAAFbAgoB8gIRAaQB/wIRAdYB/wIRAdQB/wIRAdIB/wIR
+        AdAB/wIRAc4B/wIRAUwB/wE9AgEBZZgAARsBFwERAf8BxwGBAREB/wHDAYEBEQH/AbEBcwERAf8BsQFz
+        AREB/wGxAXMBEQH/AbEBcwERAf8BswF1AREB/wG2AXkBEQH/AbQBdgERAf8BYgIFAeQUAAIRARwB/wIR
+        AdwB/wIRAdkB/wIRAcoB/wIRAcoB/wIRAcoB/wIRAcoB/wIRAcsB/wIRAc4B/wIRAcwB/wFiAgUB5JAA
+        AxEB/wHLAYEBEQH/AbsBfwERAf8BtgF5AREB/wG2AXkBEQH/Ae4B3AHEBf8BvgGBAS4B/wG2AXkBEQH/
+        AbYBeQERAf8BtgF5AREB/wG0AXYBEQH/AUkCAgGGDAADEQH/AhEB4AH/AhEB0gH/AhEBzgH/Aj4B1gH/
+        AhEBzgH/AhEBzgH/AhEBzgH/AhQBzgH/AhEBzgH/AhEBzgH/AhEBzAH/AUkCAgGGiAABLAIBAUIB0AGG
+        AREB/wHHAYEBEQH/AboBfgERAf8BugF+AREB/wG6AX4BEQH/AdABnAFiBf8BugF+AREB/wG6AX4BEQH/
+        AboBfgERAf8BugF+AREB/wG2AXkBEQH/AWUBQAERAf8IAAEsAgEBQgIRAeQB/wIRAdwB/wIRAdIB/wKf
+        Ae0F/wJXAd4B/wIRAdIB/wL0Af0F/wIUAdIB/wIRAdIB/wIRAc4B/wIRAXAB/4gAAxEB/wHSAYkBEQH/
+        Ab8BgQERAf8BvwGBAREB/wG/AYEBEQH/Ab8BgQERAf8B0wGfAWIF/wG/AYEBEQH/Ab8BgQERAf8BvwGB
+        AREB/wG/AYEBEQH/Ab4BgQERAf8BtgF5AREB/wE2AgEBVwQAAxEB/wIRAeUB/wIRAdYB/wIRAdYN/wL1
+        Af0J/wLiAfoB/wIRAdYB/wIRAdUB/wIRAc4B/wE2AgEBV4QAAVkBQQERAf8B1AGMAREB/wHEAYEBEQH/
+        AcQBgQERAf8BxAGBAREB/wHEAYEBEQH/AdcBpAFjBf8BxAGBAREB/wHEAYEBEQH/AcQBgQERAf8BxAGB
+        AREB/wHEAYEBEQH/AbgBewERAf8BYAIHAewEAAIRAV8B/wIRAegB/wIRAdoB/wIRAdoB/wIRAdoR/wLi
+        AfoB/wIRAdoB/wIRAdoB/wIRAdoB/wIRAdAB/wFgAgcB7IQAAXkBVgERAf8B1wGOAREB/wHJAYEBEQH/
+        AckBgQERAf8ByQGBAREB/wHJAYEBEQn/AckBgQERAf8ByQGBAREB/wHJAYEBEQH/AckBgQERAf8ByQGB
+        AREB/wG6AX4BEQH/AxEB/wQAAhEBgQH/AhEB6QH/AhEB3gH/AhEB3gH/AhEB3gH/AvQB/Q3/AlcB5wH/
+        AhEB3gH/AhEB3gH/AhEB3gH/AhEB0gH/AxEB/4QAAWkBRwERAf8B2QGRAREB/wHOAYMBEQH/Ac4BgwER
+        Af8BzgGDAREB/wHOAYMBEQH/Ac4BgwERAf8B1wGcAUIB/wHOAYMBEQH/Ac4BgwERAf8BzgGDAREB/wHO
+        AYMBEQH/Ac4BgwERAf8BvQGBAREB/wFAAhEB+QQAAREBFgFoAf8CEQHsAf8CEQHiAf8CEQHiAf8C9AH9
+        Ff8CVwHqAf8CEQHiAf8CEQHiAf8CEQHUAf8BQAIRAfmEAAEUARIBEQH/AdsBlAERAf8B0gGJAREB/wHS
+        AYkBEQH/AdIBiQERAf8B0gGJAREB/wHSAYkBEQH/AesBywGQAf8B0gGJAREB/wHSAYkBEQH/AdIBiQER
+        Af8B0gGJAREB/wHEAYEBEQH/Ab8BgQERAf8BUQICAZsEAAIRARQB/wIRAe0B/wIRAeYB/wIRAeUB/wL9
+        Af4F/wLiAfwB/wIRAeUJ/wKBAfEB/wIRAeUB/wIRAdoB/wIRAdYB/wFRAgIBm4QAAVgCAgGyAd4BmAER
+        Af8B2wGUAREB/wHXAY4BEQH/AdcBjgERAf8B1wGOAREB/wH7AfYB6wX/AdcBjgERAf8B1wGOAREB/wHX
+        AY4BEQH/AdYBjQERAf8BxAGBAREB/wGpAXIBEQH/CAABWAICAbIBEQEbAe8B/wIRAe0B/wIRAekB/wIR
+        AekB/wLhAfwB/wIRAekB/wIRAekB/wIRAekB/wKBAfMB/wIRAekB/wIRAegB/wIRAdoB/wERARkBnQH/
+        jAABSwEwAREB/wHdAZcBEQH/AdsBlAERAf8B2wGUAREB/wHbAZQBEQH/AdsBlAERAf8B3AGXARcB/wHb
+        AZQBEQH/AdsBlAERAf8B1QGMAREB/wHJAYEBEQH/AdEBiAERAf8BLAIRAfwMAAIRAUUB/wIRAe8B/wIR
+        Ae0B/wIRAe0B/wIRAe0B/wIRAe0B/wIRAe0B/wIRAe0B/wIRAe0B/wIRAegB/wIRAd4B/wERASQB4gH/
+        ASwCEQH8jAABGQIBASEBkAFlAREB/wHfAZkBEQH/AdsBlAERAf8B2QGRAREB/wHYAZABEQH/AdgBkAER
+        Af8B0wGKAREB/wHQAYYBEQH/Ac4BgwERAf8B2gGSAREB/wEcARcBEQH/EAABGQIBASECEQGHAf8BEQEX
+        AfEB/wIRAe0B/wIRAewB/wIRAesB/wIRAesB/wIRAeYB/wIRAeQB/wIRAeIB/wERAS4B5gH/AhEBGwH/
+        lAABEgIBARYBNgEoAREB/wHSAYkBEQH/AeIBnQERAf8B2QGRAREB/wHXAY4BEQH/AdUBjAERAf8B4QGb
+        AREB/wHOAYQBEQH/ASICEQH+GAABEgIBARYCEQE1Af8BEQEXAdMB/wERASgB9AH/AhEB7AH/AhEB6QH/
+        AREBEgHoAf8BEQEwAfAB/wIRAcwB/wEiAhEB/qAAAUYCAQF9AxEB/wFiAUkBEQH/AYEBYgERAf8BQwE0
+        AREB/wEiAhEB/gEUAgEBGiQAAUYCAQF9AxEB/wIRAWUB/wIRAYEB/wIRAUUB/wEiAhEB/gEUAgEBGv8A
         kQABQgFNAT4HAAE+AwABKAMAAUADAAEQAwABAQEAAQEFAAGAFwAD/wEAAfwBHwH8AR8EAAHwAQcB8AEH
         BAAB4AEDAeABAwQAAcABAQHAAQEEAAGAAQEBgAEBBAABgAEAAYAFAAGAAQABgAUAAYABAAGABQABgAEA
@@ -173,3 +173,6 @@
 </value>
   </data>
+  <metadata name="$this.TrayHeight" type="System.Int32, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+    <value>46</value>
+  </metadata>
 </root>
Index: /trunk/sources/HeuristicLab.Hive.Client.Console/Properties/Resources.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/Properties/Resources.Designer.cs	(revision 1144)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/Properties/Resources.Designer.cs	(revision 1145)
@@ -81,4 +81,11 @@
             }
         }
+        
+        internal static System.Drawing.Bitmap shutdown_icon {
+            get {
+                object obj = ResourceManager.GetObject("shutdown_icon", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
     }
 }
Index: /trunk/sources/HeuristicLab.Hive.Client.Console/Properties/Resources.resx
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/Properties/Resources.resx	(revision 1144)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/Properties/Resources.resx	(revision 1145)
@@ -128,3 +128,6 @@
     <value>..\Resources\schedule.jpg;System.Drawing.Bitmap, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a</value>
   </data>
+  <data name="shutdown_icon" type="System.Resources.ResXFileRef, System.Windows.Forms">
+    <value>..\Resources\shutdown-icon.png;System.Drawing.Bitmap, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a</value>
+  </data>
 </root>